> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark events as seen

> Marks an agent's events up to a specific time as read in a customer's chat window.

**Required scopes:** <Tooltip tip="To mark events as seen in a chat taking place in any group.">`chats--all:ro`</Tooltip> or <Tooltip tip="To mark events as seen in a chat taking place in groups that the requester (related to the token) is a member of. The agent groups and the chat groups must intersect — at least one group must be common.">`chats--access:ro`</Tooltip>


## OpenAPI

````yaml /api/agent-chat/v3.6/openapi.json post /action/mark_events_as_seen
openapi: 3.0.0
info:
  title: Agent Chat API
  description: >-
    The Agent Chat API allows you to manage chats, threads, events, and agent
    state.
  version: '3.6'
servers:
  - url: https://api.livechatinc.com/v3.6/agent
    description: Production server
security: []
paths:
  /action/mark_events_as_seen:
    post:
      tags:
        - Other
      summary: Mark events as seen
      description: >-
        Marks an agent's events up to a specific time as read in a customer's
        chat window.
      operationId: mark-events-as-seen
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MarkEventsAsSeenRequest'
            example:
              chat_id: PJ0MRSHTDG
              seen_up_to: '2026-06-12T15:19:21.010200Z'
      responses:
        '200':
          description: Events marked as seen.
      security:
        - PersonalAccessToken: []
        - OAuth2BearerToken:
            - chats--all:ro
components:
  schemas:
    MarkEventsAsSeenRequest:
      type: object
      required:
        - chat_id
        - seen_up_to
      properties:
        chat_id:
          type: string
          description: The chat ID.
        seen_up_to:
          type: string
          description: >-
            The date and time up to which events are marked as seen, in RFC 3339
            format.
  securitySchemes:
    PersonalAccessToken:
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
      type: http
      scheme: basic
    OAuth2BearerToken:
      description: >-
        This API uses OAuth2 with the implicit grant flow. <a
        href="/authentication/oauth-authorization#implicit-grant">Learn about
        the implicit grant flow.</a>
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://accounts.livechat.com
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of
        authorizationCode:
          authorizationUrl: https://accounts.livechat.com
          tokenUrl: https://accounts.livechat.com/token
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of

````